Skip to navigation

Create Product Variant Image

Creates a Variant Image.

Only one image can be explicitly associated with a Variant. If the Variant already has an associated image, overwrites the existing Variant Image.

The image displays on the storefront when the Variant is selected.

Required Fields

  • image_file: Form posts. Files larger than 1 MB are not accepted
  • image_url: Any publicly available URL

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs. Product variant metafield endpoints that have the product_id in the request path are successful as long as the parameter is not empty. The product_id segment is there only for path consistency.

variant_idintegerRequired
ID of the variant on a product, or on an associated Price List Record.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

An object containing a publicly accessible image URL, or a form post that contains an image file.
image_urlstringOptional
A public URL for a GIF, JPEG, or PNG image. Limit of 8MB per file.

Response

image_url is returned for both image_file and image_url.

dataobjectOptional
An object containing a publicly accessible image URL, or a form post that contains an image file.
metaobjectOptional
Response metadata.

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error